-
Notifications
You must be signed in to change notification settings - Fork 29
New issue
Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.
By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.
Already on GitHub? Sign in to your account
segfault on loft #87
Comments
Okay much smaller example: bot = cq.Workplane().box(4, 6, 2)
top = cq.Workplane().transformed(offset=(0, 0, 10)).box(4, 6, 2)
bar = cq.Workplane().add(bot.faces(">Z").wires()).toPending().add(top.faces("<Z").wires()).toPending().loft() The problem seems to be lofting on wires from different workplanes? Backtrace:
|
The following works for me without a segfault in CQ-editor. import cadquery as cq
bot = cq.Workplane().box(4, 6, 2)
top = cq.Workplane().transformed(offset=(0, 0, 10)).box(4, 6, 2)
#bar = cq.Workplane().add(bot.faces(">Z").wires()).toPending().add(top.faces("<Z").wires()).toPending().loft()
wire1 = bot.faces(">Z").wires()
wire2 = top.faces("<Z").wires()
bar = cq.Workplane().add(wire1).add(wire2).toPending().loft()
show_object(bar) |
Somehow I have forgotten to revisit this, sorry. It seems that the issue occurs if I put another |
I don't have an minimal example yet, but this is what caused the issue:
Right before the
bar
creation:Right before the
.loft
call:Core & backtrace:
cq-core.zst
The text was updated successfully, but these errors were encountered: